﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="ListaObecnosci.aspx.cs" Inherits="KOLKaP_WEB.KOLKaP.ListaObecnosci" EnableViewState="True" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
  <title>Lista obecności</title>
  <link href="../Web.css?2" type="text/css" rel="stylesheet" />
  <link rel="stylesheet" href="../jquery/themes/ui-lightness/jquery-ui-1.9.2.custom.min.css" />
  <script src="../jquery/jquery-1.8.3.min.js" type="text/javascript"></script>
  <script src="../jquery/ui/jquery-ui-1.9.2.custom.min.js" type="text/javascript"></script>
  <script src="../jquery/ui/i18n/jquery.ui.datepicker-pl.js" type="text/javascript"></script>
  <script src="../jquery/jquery.blockUI.js" type="text/javascript"></script>
  <script type="text/javascript">
    var OtworzOkienkoAbsencja;
    $(function () {

      if (!$("#tbData").is(':disabled')) {
        $("#tbData").datepicker({ dateFormat: 'yy-mm-dd', changeMonth: true, changeYear: true, showAnim: '', yearRange: '1970:2060', showOn: 'button', buttonImage: '../img/calendar.gif', buttonImageOnly: true });
        $("#tbData").datepicker("option", "dateFormat", 'yy-mm-dd');
      }

      $("#btnOdswiez").button({ icons: { primary: 'ui-icon-refresh' } });
      $(".btnPracaGrid").button({ icons: { primary: 'ui-icon-check' } });

      $("#btnAbsencjaFormZatwierdz").button({ icons: { primary: 'ui-icon-check' } });
      $("#btnAbsencjaFormAnuluj").button({ icons: { primary: 'ui-icon-cancel' } });

      $("#dialog-form-absencja").dialog({
        autoOpen: false,
        height: 140,
        width: 300,
        modal: true,
        position: "center",
        resizable: false
      });

      OtworzOkienkoAbsencja = function(komunikat, id, data) {
        $("#lblKomunikatForm").html(komunikat);
        $("#tbIdPForm").val(id);
        $("#tbIdAForm").val(($('#ddlAbsencjeForm').val()));
        $("#tbDataForm").val(data);
        $("#btnAbsencjaFormZatwierdz").show();
       // $("#dialog-form-absencja").parent().appendTo(jQuery("form:first"));
        $("#dialog-form-absencja").dialog("open");
      }

      $('#ddlAbsencjeForm').change(function () {
        $("#tbIdAForm").val(($(this).val()));
      })

    });
  </script>
  <script type="text/javascript">


  </script>
</head>
<body id="body" style="font-size: 8pt;" runat="server">
  <form id="form1" runat="server">
    <div>
      <asp:Label ID="lblError" runat="server" EnableViewState="false"></asp:Label>
      <asp:Label ID="lblKomunikat" runat="server" EnableViewState="true"></asp:Label>
      <table class="bodyLRT0" cellspacing="0" cellpadding="0" width="100%" border="0">
        <tr>
          <td colspan="7">
            <asp:Label ID="lblNaglowek" runat="server" Style="font-size: 12pt; font-weight: bold">Lista obecności</asp:Label>
          </td>
        </tr>
        <tr>
          <td style="width: 22%" valign="bottom">
            <small>
              <asp:Label ID="lblNazwisko" runat="server">Nazwisko</asp:Label></small><br />
            <asp:TextBox ID="tbNazwisko" Width="95%" runat="server"></asp:TextBox>
          </td>
          <td style="width: 22%" valign="bottom">
            <small>
              <asp:Label ID="lblImie" runat="server">Imię</asp:Label></small><br />
            <asp:TextBox ID="tbImie" Width="95%" runat="server"></asp:TextBox>
          </td>
          <td colspan="4" style="width: 42%" valign="bottom">
            <small>Jednostka</small><br />
            <asp:DropDownList ID="ddlJednostka" runat="server" Width="95%"></asp:DropDownList>
          </td>
          <td colspan="1" style="text-align: right" valign="bottom">
            <%--<a id="btnRaport" runat="server" style="width: 90px;" class="aspButton" href="javascript:OtworzOkienkoRaportu();" visible="False">Obiegówki przetermin.</a>--%>
          </td>
        </tr>
        <tr>
          <td valign="bottom">
            <small>Rok</small><br />
            <asp:DropDownList ID="ddlRok" runat="server" Width="95%"></asp:DropDownList>
          </td>
          <td valign="bottom">
            <small>Miesiac</small><br />
            <asp:DropDownList ID="ddlMiesiac" runat="server" Width="95%">
              <asp:ListItem Value="1">Styczeń</asp:ListItem>
              <asp:ListItem Value="2">Luty</asp:ListItem>
              <asp:ListItem Value="3">Marzec</asp:ListItem>
              <asp:ListItem Value="4">Kwiecień</asp:ListItem>
              <asp:ListItem Value="5">Maj</asp:ListItem>
              <asp:ListItem Value="6">Czerwiec</asp:ListItem>
              <asp:ListItem Value="7">Lipiec</asp:ListItem>
              <asp:ListItem Value="8">Sierpień</asp:ListItem>
              <asp:ListItem Value="9">Wrzesień</asp:ListItem>
              <asp:ListItem Value="10">Październik</asp:ListItem>
              <asp:ListItem Value="11">Listopad</asp:ListItem>
              <asp:ListItem Value="12">Grudzień</asp:ListItem>
            </asp:DropDownList>
          </td>
          <td valign="bottom" style="text-align: right;">
            <small>&nbsp;</small><br />
            <asp:CheckBox ID="cbNaDzien" runat="server" Text="Na dzień" AutoPostBack="True" OnCheckedChanged="cbNaDzien_CheckedChanged" Checked="True"></asp:CheckBox>
          </td>
          <td valign="bottom">
            <small>(rrrr-mm-dd)</small><br />
            <asp:TextBox ID="tbData" Width="80%" runat="server"></asp:TextBox>
          </td>
          <td valign="bottom" style="text-align: right;">
            <small>&nbsp;</small><br />
            <asp:CheckBox ID="cbTylkoWlasne" runat="server" Text="Tylko własne" Checked="true" ></asp:CheckBox>
          </td>
          <td valign="bottom" style="text-align: right;">
            <small>&nbsp;</small><br />
            <asp:CheckBox ID="cbDniWolne" runat="server" Text="Dni wolne" Checked="false" ></asp:CheckBox>
          </td>
          <td style="text-align: right" valign="bottom">
            <small></small>
            <br />
            <asp:LinkButton ID="btnOdswiez" runat="server" Text="Odśwież" Width="90px" CssClass="aspButton" OnClick="btnOdswiez_Click"></asp:LinkButton>
          </td>
        </tr>
      </table>
    </div>
    <div>
      <div id="divLiczbaWierszy" runat="server" class="Table" style="width: 100%; display: none; position: relative; height: 23px; background-color: White;">
        <div style="float: left; position: absolute; bottom: 2px;">
          <asp:Label ID="lblLiczbaWierszy" runat="server"></asp:Label>
        </div>
      </div>
      <asp:GridView ID="gvListy" runat="server" CssClass="aspGrid" Width="100%" AutoGenerateColumns="False" AllowSorting="True" DataSourceID="sdsListy" DataKeyNames="ID_OBECNOSCI,ID_PRACOWNIKA,DZIEN,NAZWISKO,IMIE,JEDNOSTKA,RODZAJ_PRACY,RODZAJ_PRACY_NAZWA,WLASNE,EDYCJA,ZDALNA,ZDALNA_OKAZJONALNA,STACJONARNA" OnRowCommand="gvListy_RowCommand" OnRowDataBound="gvListy_RowDataBound">
        <Columns>
          <asp:TemplateField HeaderText="Dzień tygodnia" SortExpression="DZIEN_TYGODNIA">
            <ItemTemplate>
              <asp:Label ID="lblDzienTygodnia" runat="server" Text='<%# Bind("DZIEN_TYGODNIA") %>'  ForeColor='<%# (DataBinder.Eval(Container, "DataItem.WOLNE").ToString() == "T") ? System.Drawing.Color.Red : System.Drawing.Color.Black %>'></asp:Label>
            </ItemTemplate>
            <ControlStyle Width="50px" />
            <HeaderStyle Width="50px" />
            <ItemStyle Width="50px" HorizontalAlign="Center" />
          </asp:TemplateField>
          <asp:TemplateField HeaderText="Dzień" SortExpression="DZIEN">
            <ItemTemplate>
              <asp:Label ID="Label1" runat="server" Text='<%# Bind("DZIEN", "{0:yyyy-MM-dd}") %>' ForeColor='<%# (DataBinder.Eval(Container, "DataItem.WOLNE").ToString() == "T") ? System.Drawing.Color.Red : System.Drawing.Color.Black %>'></asp:Label>
            </ItemTemplate>
            <ControlStyle Width="85px" />
            <HeaderStyle Width="85px" />
            <ItemStyle Width="85px" HorizontalAlign="Center" />
          </asp:TemplateField>
          <asp:TemplateField HeaderText="Rodzaj pracy" SortExpression="RODZAJ_PRACY_NAZWA">
            <ItemTemplate>
<%--              <div style="float:left">--%>
              <asp:LinkButton ID="lbPracaStacjonarnaGrid" class="btnPracaGrid" runat="server" CausesValidation="false" CommandName="S" CommandArgument='<%# Container.DataItemIndex %>' Text="Stacjonarna" Width="85px"></asp:LinkButton>
              <asp:LinkButton ID="lbPracaZdalnaGrid" class="btnPracaGrid" runat="server" CausesValidation="false" CommandName="Z" CommandArgument='<%# Container.DataItemIndex %>' Text="Zdalna" Width="70px"></asp:LinkButton>
              <asp:LinkButton ID="lbPracaZdalnaOkazjonalnaGrid" class="btnPracaGrid" runat="server" CausesValidation="false" CommandName="ZO" CommandArgument='<%# Container.DataItemIndex %>' Text="Zdalna okazjonalna" Width="120px"></asp:LinkButton>
              <%--<asp:LinkButton ID="lbAbsencjaGrid" class="btnPracaGrid" runat="server" CausesValidation="false" CommandName="A" CommandArgument='<%# Container.DataItemIndex %>' Text="Absencja" Width="75px"></asp:LinkButton>--%>
              <a id="lbAbsencjaGrid" class="btnPracaGrid" runat="server">Absencja</a>
              <asp:Label ID="lblRodzajPracy" runat="server" Text='<%# Bind("RODZAJ_PRACY_NAZWA") %>'></asp:Label>
<%--                </div>--%>
            </ItemTemplate>
            <ItemStyle VerticalAlign="Middle" Width="170px" HorizontalAlign="Center" />
    <%--        <ControlStyle Width="140px" />--%>
            <HeaderStyle Width="220px" />
          </asp:TemplateField>
          <asp:TemplateField HeaderText="Nazwisko" SortExpression="NAZWISKO">
            <ItemTemplate>
              <asp:Label ID="lblNazwisko" runat="server" Text='<%# Bind("NAZWISKO") %>'  ForeColor='<%# (DataBinder.Eval(Container, "DataItem.WOLNE").ToString() == "T") ? System.Drawing.Color.Red : System.Drawing.Color.Black %>'></asp:Label>
            </ItemTemplate>
            <ControlStyle Width="125px" />
            <HeaderStyle Width="125px" />
            <ItemStyle Width="125px"/>
          </asp:TemplateField>
          <asp:TemplateField HeaderText="Imię" SortExpression="IMIE">
            <ItemTemplate>
              <asp:Label ID="lblImie" runat="server" Text='<%# Bind("IMIE") %>'  ForeColor='<%# (DataBinder.Eval(Container, "DataItem.WOLNE").ToString() == "T") ? System.Drawing.Color.Red : System.Drawing.Color.Black %>'></asp:Label>
            </ItemTemplate>
            <ControlStyle Width="125px" />
            <HeaderStyle Width="125px" />
            <ItemStyle Width="125px"/>
          </asp:TemplateField>
          <asp:TemplateField HeaderText="Jednostka" SortExpression="JEDNOSTKA">
            <ItemTemplate>
              <asp:Label ID="lblJednostka" runat="server" Text='<%# Bind("JEDNOSTKA") %>'  ForeColor='<%# (DataBinder.Eval(Container, "DataItem.WOLNE").ToString() == "T") ? System.Drawing.Color.Red : System.Drawing.Color.Black %>'></asp:Label>
            </ItemTemplate>
          </asp:TemplateField>
        </Columns>
        <PagerSettings Position="Top" />
        <RowStyle CssClass="TableItem" />
        <SelectedRowStyle CssClass="TableItemSelected" />
        <HeaderStyle CssClass="TableHeader" />
        <AlternatingRowStyle CssClass="TableItemAlt" />
      </asp:GridView>
      <asp:SqlDataSource ID="sdsListy" runat="server" ProviderName="System.Data.SqlClient" SelectCommand="LISTA_OBECNOSCI_LIST" SelectCommandType="StoredProcedure" ConnectionString="" CancelSelectOnNullParameter="False" OnSelected="sdsListy_Selected" OnSelecting="sdsListy_Selecting">
        <SelectParameters>
          <asp:SessionParameter Name="P_ID_FIRMY" SessionField="ID_FIRMY" />
          <asp:ControlParameter ControlID="tbNazwisko" Name="P_NAZWISKO" PropertyName="Text" Type="String" ConvertEmptyStringToNull="False" />
          <asp:ControlParameter ControlID="tbImie" Name="P_IMIE" PropertyName="Text" Type="String" ConvertEmptyStringToNull="False" />
          <asp:ControlParameter ControlID="ddlRok" Name="P_ROK" PropertyName="SelectedValue" />
          <asp:ControlParameter ControlID="ddlMiesiac" Name="P_MIESIAC" PropertyName="SelectedValue" />
          <asp:ControlParameter ControlID="tbData" Name="P_DZIEN" PropertyName="Text" Type="DateTime" />
          <asp:ControlParameter ControlID="ddlJednostka" Name="P_ID_MPZ" PropertyName="SelectedValue" />
          <asp:ControlParameter ControlID="cbTylkoWlasne" Name="P_TYLKO_WLASNE" />
          <asp:ControlParameter ControlID="cbDniWolne" Name="P_DNI_WOLNE" />
        </SelectParameters>
      </asp:SqlDataSource>
    </div>
    <!-- Okienko dialogu -->
    <%--        <div id="dialog-form" title="Obiegówki przeterminowane, nie zatwierdzone">
            <div style="width: 100%;">
                <small>Jednostka</small><br />
                <asp:DropDownList ID="ddlJednostkiRaport" runat="server" Width="100%">
                </asp:DropDownList><br />
                <small>Od (rrrr-mm-dd)</small><br />
                <asp:TextBox ID="tbDataOdRaport" runat="server"></asp:TextBox><br />
                <small>Do (rrrr-mm-dd)</small><br />
                <asp:TextBox ID="tbDataDoRaport" runat="server"></asp:TextBox><br />
                <asp:CheckBox ID="cbPrzeterminowane" runat="server" Checked="True" Text="Przeterminowane" />
            </div>
            <div style="height: 5px;">
                &nbsp;
            </div>
            <div>
                <div style="float: right;">
                    <asp:LinkButton ID="btnRaportWybierz" runat="server" Text="Wybierz" OnClick="btnRaportWybierz_Click" />
                    <a id="btnRaportAnuluj" href="javascript:ZamknijOkienkoRaportu()">Anuluj</a>
                </div>
            </div>
        </div>--%>
    <!-- Okienko dialogu ZA -->
    <div id="dialog-form-absencja" title="Absencja" style="display: none;">
      <div style="width: 100%;">
        <span id="lblKomunikatForm">Podaj rodzaj absencji:</span>
      </div>
      <div style="height: 30px; margin-top:10px;">
        <asp:DropDownList ID="ddlAbsencjeForm" runat="server" Width="100%"></asp:DropDownList>
      </div>
      <div>
        <div style="float: right;">
          <asp:LinkButton ID="btnAbsencjaFormZatwierdz" runat="server" OnClick="btnAbsencjaFormZatwierdz_Click" Style="display: none;">Zatwierdź</asp:LinkButton>
          <asp:LinkButton ID="btnAbsencjaFormAnuluj" runat="server" OnClick="btnAbsencjaFormAnuluj_Click">Anuluj</asp:LinkButton>
        </div>
      </div>
    </div>
        <asp:TextBox ID="tbIdPForm" runat="server" style="width:1px; display:none;"></asp:TextBox>
        <asp:TextBox ID="tbDataForm" runat="server" style="width:1px; display:none;"></asp:TextBox>
        <asp:TextBox ID="tbIdAForm" runat="server" style="width:1px; display:none;"></asp:TextBox>
  </form>
</body>
</html>

