﻿<%@ Page Language="c#" CodeBehind="GrupyMailoweUzytkownika.aspx.cs" AutoEventWireup="True" Inherits="KOLKaP_WEB.KOLKaP.GrupyMailoweUzytkownika" %>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <title>GrupyMailoweUzytkownika</title>

    <meta name="CODE_LANGUAGE" content="C#" />
    <meta name="vs_defaultClientScript" content="JavaScript" />

    <link rel="stylesheet" type="text/css" href="../Web.css?2" />
    <link rel="stylesheet" href="../jquery/themes/ui-lightness/jquery-ui-1.11.2.min.css" />
    <script src="../jquery/jquery-1.8.3.min.js" type="text/javascript"></script>
    <script src="../jquery/ui/jquery-ui-1.11.2.min.js" type="text/javascript"></script>
    <script type="text/javascript">

        $(function () {

            $("#btnPrzepisz").button({ icons: { primary: 'ui-icon-copy' } });
            $("#btnDodaj").button({ icons: { primary: 'ui-icon-plusthick' } });
            $("#btnUsun").button({ icons: { primary: 'ui-icon-trash' } });
            $("#btnDrukuj").button({ icons: { primary: 'ui-icon-print' } });
            $("#btnPowrot").button({ icons: { primary: 'ui-icon-arrowreturnthick-1-w' } });
        })
    </script>
    <%--    <script src="../Skrypty.js" type="text/javascript"></script>--%>
</head>
<body class="Body" style="margin-left: 2px; margin-right: 5px; margin-top: 0px">
    <form id="Form1" method="post" runat="server">
        <asp:Label ID="lblError" runat="server" EnableViewState="False"></asp:Label>
        <div style="margin-bottom: 10px;">
            <asp:Label ID="lblOpis" runat="server" Font-Bold="True" Font-Size="Medium">Grupy mailowe pracownika</asp:Label>
        </div>
        <div style="margin-bottom:5px;">
            <table class="Body" border="0" cellspacing="5px" cellpadding="0" width="100%" style="font-size: 10pt;"">
                <tr>
                    <td style="width: 50%" colspan="2">
                        <span style="font-size: 8pt;">Pracownik</span><br />
                        <asp:Label ID="lblPracownik" runat="server" style="font-weight:bold;"></asp:Label>
                    </td>
                    <td colspan="2">
                        <span style="font-size: 8pt;">login</span><br />
                        <asp:Label ID="lblLogin" runat="server"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td style="width: 50%" colspan="2">
                        <span style="font-size: 8pt;">Jednostka</span><br />
                        <asp:Label ID="lblJednostka" runat="server"></asp:Label>
                    </td>
                    <td colspan="2">
                        <span style="font-size: 8pt;">Stanowisko</span><br />
                        <asp:Label ID="lblStanowisko" runat="server"></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
        <div>
            <div style="float: left">
                <asp:LinkButton ID="btnDodaj" runat="server" Width="90px" CssClass="aspButton" Text="Dodaj" OnClick="btnDodaj_Click"></asp:LinkButton>
                <asp:LinkButton ID="btnUsun" runat="server" Width="90px" CssClass="aspButton" Text="Usuń" OnClick="btnUsun_Click"></asp:LinkButton>
                <asp:LinkButton ID="btnPrzepisz" runat="server" CssClass="aspButton" Text="Przepisz z innego pracownika" OnClick="btnPrzepisz_Click"></asp:LinkButton>
                <asp:LinkButton ID="btnDrukuj" runat="server" Width="90px" CssClass="aspButton" Text="Drukuj" OnClick="btnDrukuj_Click"></asp:LinkButton>
            </div>
            <div style="float: right">
                <asp:LinkButton ID="btnPowrot" runat="server" Width="90px" CssClass="aspButton" Text="Powrót" OnClick="btnPowrot_Click"></asp:LinkButton>
            </div>
        </div>
        <div style="clear:both; padding-top:5px;">
            <asp:Label ID="lblGrupyListyMailowe" runat="server" Font-Bold="True" Font-Size="11px" Width="100%" Font-Names="Tahoma,Arial,Helvetica"></asp:Label>
        </div>
        <asp:DataGrid ID="dgGrupyMailowe" runat="server" AutoGenerateColumns="False" DataSource="<%# dvGrupyMailowe %>"
            CssClass="aspGrid" Width="100%" AllowSorting="True">
            <AlternatingItemStyle CssClass="TableItemAlt"></AlternatingItemStyle>
            <ItemStyle CssClass="TableItem"></ItemStyle>
            <HeaderStyle HorizontalAlign="Center" ForeColor="White" CssClass="TableHeader" VerticalAlign="Top"></HeaderStyle>
            <Columns>
                <asp:TemplateColumn SortExpression="WYBRANA" HeaderText="Usuń">
                    <HeaderStyle Width="5%"></HeaderStyle>
                    <ItemStyle HorizontalAlign="Center"></ItemStyle>
                    <ItemTemplate>
                        <asp:CheckBox ID="cbWybrana" runat="server" Checked='<%# DataBinder.Eval(Container, "DataItem.WYBRANA") %>'
                            Enabled="True"></asp:CheckBox>
                    </ItemTemplate>
                </asp:TemplateColumn>
                <asp:BoundColumn Visible="False" DataField="ID_GRUPY" SortExpression="ID_GRUPY" HeaderText="ID_GRUPY"></asp:BoundColumn>
                <asp:BoundColumn DataField="NAZWA" SortExpression="NAZWA" HeaderText="Opis">
                    <HeaderStyle Width="40%"></HeaderStyle>
                </asp:BoundColumn>
                <asp:BoundColumn DataField="EMAIL" SortExpression="EMAIL" HeaderText="Identyfikator">
                    <HeaderStyle Width="40%"></HeaderStyle>
                </asp:BoundColumn>
                <asp:BoundColumn Visible="False" DataField="GRUPA" SortExpression="GRUPA" HeaderText="GRUPA"></asp:BoundColumn>
                <asp:TemplateColumn SortExpression="GRUPA_BOOL" HeaderText="Grupa mailowa">
                    <HeaderStyle Width="15%"></HeaderStyle>
                    <ItemStyle HorizontalAlign="Center"></ItemStyle>
                    <ItemTemplate>
                        <asp:CheckBox ID="ceGrupaMailowa" runat="server" Checked='<%# DataBinder.Eval(Container, "DataItem.GRUPA_BOOL") %>'
                            Enabled="False"></asp:CheckBox>
                    </ItemTemplate>
                </asp:TemplateColumn>
            </Columns>
            <PagerStyle BackColor="LightGray" CssClass="Pager"></PagerStyle>
        </asp:DataGrid>
    </form>
</body>
</html>
